// Copyright (c) 2014 Lightricks. All rights reserved.
// Created by Nir Bruner.

varying highp vec2 vTexcoord;

uniform highp mat4 modelview;
uniform highp mat4 projection;

attribute highp vec4 position;
attribute highp vec2 texcoord;

void main() {
  vec4 newpos = vec4(position.xy, 0.0, 1.0);
  gl_Position = projection * modelview * newpos;
  vTexcoord = texcoord;
}
